Skip to main content
Resource Center/Resource Pool/VM Instance Operations
GETVM Instance OperationsSince 4.6.21SynchronousAuth Required

GetVirtualizerInfo

GetVirtualizerInfo

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • uuidsListRequired

    The host or the VM instance UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    Whether the action is successful or not.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • resourceTypeStringRequired

      The resource type.

    • errorListRequired

      Query errors. The value may be null.

      • codeStringRequired

        The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

      • descriptionStringRequired

        The brief description of the error.

      • detailsStringRequired

        The details about the error.

      • elaborationStringRequired

        The reserved field. Default value: null.

      • opaqueLinkedHashMapRequired

        The reserved field. Default value: null.

      • causeErrorCodeRequired

        The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

    • infoListListRequired

      See infoList.

      • hypervisorStringRequired

        The hypervisor. Generally, the value is qemu-kvm

      • currentVersionStringRequired

        The version of the hypervisor used by the VM instance or the host.

      • expectVersionStringRequired

        The expected hypervisor version. We recommend that you keep the hypervisor version of a VM instance consistent with that of the host it is running on and the hypervisor version of a host consistent with the MN recommended version.

      • matchStateStringRequired

        Whether the current hypervisor version is consistent with the expected version. If the system cannot get the current version or the expected version, the value is Unknown here.

Endpoint

GET/zstack/v1/vm-instances/virtualizer-info

/zstack/v1/vm-instances/virtualizer-info

Operation ID

GetVirtualizerInfo

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vm-instances/virtualizer-info?uuids=<uuids>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "3ce46fb7eb2e369c88d5fd671d1c1694", "resourceType": "HostVO", "infoList": [ { "hypervisor": "qemu-kvm", "currentVersion": "4.2.0-632.g6a6222b.el7", "expectVersion": "4.2.0-632.g6a6222b.el7", "matchState": "Matched" } ] }, { "uuid": "5c10fab3f649380e9dce16bb22ffd572", "resourceType": "VmInstanceVO", "infoList": [ { "hypervisor": "qemu-kvm", "currentVersion": "4.2.0-632.g6a6222b.el7", "expectVersion": "4.2.0-632.g6a6222b.el7", "matchState": "Matched" } ] }, { "uuid": "78a8b78906233d57bce710e89b24ebc0", "resourceType": "VmInstanceVO", "infoList": [ { "hypervisor": "qemu-kvm", "currentVersion": "4.2.0-632.g6a6222b.el7", "expectVersion": "4.2.0-632.g6a6222b.el7", "matchState": "Matched" } ] } ] }

Change History

This API has no change history records yet.

View all change history